#############################################################
#
# ebtables
#
#############################################################

EBTABLES_SOURCE_URL=http://aleron.dl.sourceforge.net/sourceforge/ebtables/
EBTABLES_SOURCE=ebtables-v2.0.6.tar.gz
EBTABLES_DIR=$(BUILD_DIR)/ebtables-v2.0.6

$(DL_DIR)/$(EBTABLES_SOURCE):
	 $(WGET) -P $(DL_DIR) $(EBTABLES_SOURCE_URL)$(EBTABLES_SOURCE)

ebtables-source: $(DL_DIR)/$(EBTABLES_SOURCE)

$(EBTABLES_DIR)/.unpacked: $(DL_DIR)/$(EBTABLES_SOURCE)
	zcat $(DL_DIR)/$(EBTABLES_SOURCE) | tar -C $(BUILD_DIR) -xvf -
	touch $(EBTABLES_DIR)/.unpacked

$(EBTABLES_DIR)/.configured: $(EBTABLES_DIR)/.unpacked
	$(SED) "s/define HAVE_IPV6/undef HAVE_IPV6/" $(EBTABLES_DIR)/config.h
#	$(SED) "s/define INET6_ADDRSTRLEN/undef INET6_ADDRSTRLEN/" $(EBTABLES_DIR)/config.h
	$(SED) "s/define HAVE_LINUX_IPV6_PROC/undef HAVE_LINUX_IPV6_PROC/" $(EBTABLES_DIR)/config.h
	touch  $(EBTABLES_DIR)/.configured

$(EBTABLES_DIR)/ebtables: $(EBTABLES_DIR)/.configured
	$(MAKE) -C $(EBTABLES_DIR) \
		CFLAGS="$(TARGET_CFLAGS)" \
                BINDIR=/usr/sbin

$(ADD_MASTER)/sbin/ebtables: $(EBTABLES_DIR)/ebtables
	cp -a $(EBTABLES_DIR)/ebtables $(ADD_MASTER)/sbin/ebtables
	-$(SSTRIP) $(ADD_MASTER)/sbin/ebtables

ebtables: $(ADD_MASTER)/sbin/ebtables

ebtables-clean:
	-$(MAKE) -C $(EBTABLES_DIR) clean
	rm -f $(ADD_MASTER)/sbin/ebtables

ebtables-dirclean:
	rm -rf $(EBTABLES_DIR)
	rm -f $(ADD_MASTER)/sbin/ebtables

