#############################################################
#
# wireless-tools
#
#############################################################
# Copyright (C) 2001-2003 by Erik Andersen <andersen@codepoet.org>
# Copyright (C) 2002 by Tim Riker <Tim@Rikers.org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU Library General Public License as
# published by the Free Software Foundation; either version 2 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# Library General Public License for more details.
#
# You should have received a copy of the GNU Library General Public
# License along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
# USA
WIRELESS_TOOLS_SITE:=http://pcmcia-cs.sourceforge.net/ftp/contrib/
WIRELESS_TOOLS_SOURCE:=wireless_tools.26.tar.gz
WIRELESS_TOOLS_DIR:=$(BUILD_DIR)/wireless_tools.26
WIRELESS_TOOLS_CAT:=zcat

WIRELESS_TOOLS_PKG_DIR=$(PACKAGES_DIR)/wireless-tools

$(DL_DIR)/$(WIRELESS_TOOLS_SOURCE):
	$(WGET) -P $(DL_DIR) $(WIRELESS_TOOLS_SITE)/$(WIRELESS_TOOLS_SOURCE)

wireless-tools-source: $(DL_DIR)/$(WIRELESS_TOOLS_SOURCE)

$(WIRELESS_TOOLS_DIR)/.unpacked: $(DL_DIR)/$(WIRELESS_TOOLS_SOURCE)
	$(WIRELESS_TOOLS_CAT) $(DL_DIR)/$(WIRELESS_TOOLS_SOURCE) | tar -C $(BUILD_DIR) -xvf -
	-[ ! -d $(WIRELESS_TOOLS_PKG_DIR) ] && mkdir $(WIRELESS_TOOLS_PKG_DIR)
	touch $(WIRELESS_TOOLS_DIR)/.unpacked

$(WIRELESS_TOOLS_DIR)/cardmgr/cardmgr: $(WIRELESS_TOOLS_DIR)/.unpacked
	$(MAKE) -C $(WIRELESS_TOOLS_DIR) 
		 KERNEL_SRC=$(LINUX_DIR) \
		PREFIX=$(WIRELESS_TOOLS_PKG_DIR) \
		BUILD_SHARED=y\
		CFLAGS="$(TARGET_CFLAGS)"

$(WIRELESS_TOOLS_PKG_DIR)/sbin/iwconfig: $(WIRELESS_TOOLS_DIR)/cardmgr/cardmgr
	-rm -rf $(WIRELESS_TOOLS_PKG_DIR)/*
	$(MAKE) -i -C $(WIRELESS_TOOLS_DIR) PREFIX=$(WIRELESS_TOOLS_PKG_DIR) \
		install
	-$(SSTRIP) $(WIRELESS_TOOLS_PKG_DIR)/sbin/*
	-$(SSTRIP) $(WIRELESS_TOOLS_PKG_DIR)/lib/*
	-rm -r $(WIRELESS_TOOLS_PKG_DIR)/include
	-rm -r $(WIRELESS_TOOLS_PKG_DIR)/man

wireless-tools: $(WIRELESS_TOOLS_PKG_DIR)/sbin/iwconfig

wireless-tools-clean:
	rm -rf $(WIRELESS_TOOLS_PKG_DIR)
	-$(MAKE) -C $(WIRELESS_TOOLS_DIR) realclean
	rm -f $(WIRELESS_TOOLS_DIR)/.configured $(WIRELESS_TOOLS_DIR)/config.out

wireless-tools-dirclean:
	rm -rf $(WIRELESS_TOOLS_DIR)
	rm -rf $(WIRELESS_TOOLS_PKG_DIR)

# Probably not nessesary at all:
# wireless-tools: $(WIRELESS_TOOLS_PKG_DIR)/sbin/cardmgr $(WIRELESS_TOOLS_DIR)/.modules.dep

